cascading.operation

## Class AssertionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.operation.OperationException
          - - cascading.operation.AssertionException

- All Implemented Interfaces:
    java.io.Serializable

      public class AssertionException
      extends OperationException

  Class AssertionException is the exception that must be thrown when an `Assertion` fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionException()`
    `AssertionException(java.lang.String string)`
    `AssertionException(java.lang.String string, java.lang.Throwable throwable)`
    `AssertionException(java.lang.Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertionException

          public AssertionException()

      See Also:
        `OperationException.OperationException()`

    - #### AssertionException

          public AssertionException(java.lang.String string)

      See Also:
        `OperationException.OperationException(String)`

    - #### AssertionException

          public AssertionException(java.lang.String string,
                            java.lang.Throwable throwable)

      See Also:
        `OperationException.OperationException(String, Throwable)`

    - #### AssertionException

          public AssertionException(java.lang.Throwable throwable)

      See Also:
        `OperationException.OperationException(Throwable)`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.